--- title: "Get all the Internal Web Server Certificates" slug: "get-all-the-internal-web-server-certificates" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:30Z published: 2026-09-23T09:38:30Z canonical: "docs.trellix.com/get-all-the-internal-web-server-certificates" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all the Internal Web Server Certificates This URL gets all the internal web server certificates available on the Manager. ## Resource URL GET /domain/sslconfiguration/internalwebservercerts ## Request Parameters URL Parameters: None ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | internalWebServerCerts | List of all the internal web server certificates | Array | Details of objects in internalWebServerCerts: | Field Name | Description | Data Type | | --- | --- | --- | | id | State of the certificate file. If enabled or not. | Boolean | | alias | Alias for the SSL key | String | | issuedBy | Name of the issuer | String | | fileName | Certificate file name | String | | validity | Certificate validity details | Object | | installOn | List of Sensors on which the key is installed | Array | | lastUpdated | Last update details | Object | Details of validity: | Field Name | Description | Data Type | | --- | --- | --- | | from | Validity from date | String | | to | Validity end date | String | | status | Status of the validity. Values can be: - VALID - EXPIRING - EXPIRED | String | Details of lastUpdated: | Field Name | Description | Data Type | | --- | --- | --- | | time | Last update time | String | | by | Last updated by user | String | ## Example **Request** GET [https:///sdkapi/domain/sslconfiguration/internalwebservercerts](https://%3CNSM_IP%3E/sdkapi/sensor/1002/sslconfiguration) **Response** ``` {  "internalWebServerCerts": [    {      "id": 1008,      "alias": "a",      "issuedBy": "a",      "fileName": "KEYSTORE.p12",      "validity": {        "from": "Thu Aug 11 00:00:00 IST 2016",        "to": "Wed Nov 09 00:00:00 IST 2016",        "status": "EXPIRING"      },      "installOn": [        "/My Company/NS-RD-7200"      ],      "lastUpdated": {        "time": "Tue Oct 18 23:06:32 IST 2016",        "by": "admin"      }    }  ] } ``` ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error |